[PC-BSD Commits] r1707 - pbibuild/modules/vlc/overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Thu Apr 10 10:48:24 PDT 2008
Author: gonzalo
Date: 2008-04-10 10:48:23 -0700 (Thu, 10 Apr 2008)
New Revision: 1707
Modified:
pbibuild/modules/vlc/overlay-dir/PBI.RemoveScript.sh
Log:
VLC now deletes the user VLC folder
Modified: pbibuild/modules/vlc/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/vlc/overlay-dir/PBI.RemoveScript.sh 2008-04-09 17:08:14 UTC (rev 1706)
+++ pbibuild/modules/vlc/overlay-dir/PBI.RemoveScript.sh 2008-04-10 17:48:23 UTC (rev 1707)
@@ -12,8 +12,23 @@
rm /usr/local/bin/vlc
cd /usr/local/share/locale/
rm */LC_MESSAGES/vlc.mo
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove VLC user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/.vlc" ]
+ then
+ rm -rf /home/${i}/.vlc
+ fi
+ done
+ fi
+fi
-
More information about the Commits
mailing list